package com.fs.his.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.common.core.domain.AjaxResult;
import com.fs.his.domain.FsUserInvited;

/**
 * 用户填写邀请码记录Service接口
 *
 * @author fs
 * @date 2025-03-06
 */
public interface IFsUserInvitedService extends IService<FsUserInvited>{
    /**
     * 查询用户填写邀请码记录
     *
     * @param id 用户填写邀请码记录主键
     * @return 用户填写邀请码记录
     */
    FsUserInvited selectFsUserInvitedById(Long id);

    /**
     * 查询用户填写邀请码记录列表
     *
     * @param fsUserInvited 用户填写邀请码记录
     * @return 用户填写邀请码记录集合
     */
    List<FsUserInvited> selectFsUserInvitedList(FsUserInvited fsUserInvited);

    /**
     * 新增用户填写邀请码记录
     *
     * @param fsUserInvited 用户填写邀请码记录
     * @return 结果
     */
    int insertFsUserInvited(FsUserInvited fsUserInvited);

    /**
     * 修改用户填写邀请码记录
     *
     * @param fsUserInvited 用户填写邀请码记录
     * @return 结果
     */
    int updateFsUserInvited(FsUserInvited fsUserInvited);

    /**
     * 批量删除用户填写邀请码记录
     *
     * @param ids 需要删除的用户填写邀请码记录主键集合
     * @return 结果
     */
    int deleteFsUserInvitedByIds(Long[] ids);

    /**
     * 删除用户填写邀请码记录信息
     *
     * @param id 用户填写邀请码记录主键
     * @return 结果
     */
    int deleteFsUserInvitedById(Long id);

    String getDownloadPoster();

    AjaxResult fillInvCode(FsUserInvited fsUserInvited);
}
